summaryrefslogtreecommitdiffstats
path: root/misc/spampd-rh-rc-script.sh
diff options
context:
space:
mode:
Diffstat (limited to 'misc/spampd-rh-rc-script.sh')
-rw-r--r--misc/spampd-rh-rc-script.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/misc/spampd-rh-rc-script.sh b/misc/spampd-rh-rc-script.sh
new file mode 100644
index 0000000..5b90c0b
--- /dev/null
+++ b/misc/spampd-rh-rc-script.sh
@@ -0,0 +1,52 @@
+#!/bin/sh
+#
+# This script starts and stops the spampd daemon
+#
+# chkconfig: 2345 80 30
+#
+# description: spampd is a daemon process which uses SpamAssassin to check
+# email messages for SPAM.
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+# Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+[ -f /usr/bin/spampd -o -f /usr/local/bin/spampd ] || exit 0
+PATH=$PATH:/usr/bin:/usr/local/bin
+
+# See how we were called.
+case "$1" in
+ start)
+ # Start daemon.
+ echo -n "Starting spampd: "
+ daemon spampd --port=10025 --relayhost=127.0.0.1:25 --tagall --auto-whitelist
+ RETVAL=$?
+ touch /var/lock/spampd
+ echo
+ ;;
+ stop)
+ # Stop daemons.
+ echo -n "Shutting down spampd: "
+ killproc spampd
+ RETVAL=$?
+ rm -f /var/lock/spampd
+ echo
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ status)
+ status spampd
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|status}"
+ exit 1
+esac
+
+exit 0